# org.pdfclown.tokens.CompressedWriter Class Reference

PDF file writer implementing compressed cross-reference stream [PDF:1.6:3.4.7]. More...

Inheritance diagram for org.pdfclown.tokens.CompressedWriter:

List of all members.

## Public Member Functions
void | Write (SerializationModeEnum mode)
| Serializes the file to the target stream.
## Static Public Member Functions
static Writer | Get (File file, IOutputStream stream)
| Gets a new writer instance for the specified file.
## Protected Member Functions
void | UpdateTrailer (PdfDictionary trailer, IOutputStream stream)
| Updates the specified trailer.
void | WriteHeader ()
| Serializes the beginning of the file [PDF:1.6:3.4.1].
override void | WriteIncremental ()
| Serializes the PDF file as incremental update [PDF:1.6:3.4.5].
override void | WriteLinearized ()
| Serializes the PDF file linearized [PDF:1.6:F].
override void | WriteStandard ()
| Serializes the PDF file compactly [PDF:1.6:3.4].
void | WriteTail (long startxref)
| Serializes the end of the file [PDF:1.6:3.4.4].
## Protected Attributes
readonly File | file
readonly IOutputStream | stream
## Properties
File | File`[get]`
| Gets the file to serialize.
IOutputStream | Stream`[get]`
| Gets the target stream.

##

PDF file writer implementing compressed cross-reference stream [PDF:1.6:3.4.7].

## Member Function Documentation

static Writer org.pdfclown.tokens.Writer.Get | ( | File | file,
|  | IOutputStream | stream |
| ) |  |  | `[static, inherited]`

Gets a new writer instance for the specified file.

Parameters:

  | file | File to serialize.
  | stream | Target stream.

References org.pdfclown.documents.Document.Configuration, and org.pdfclown.files.File.Document.

void org.pdfclown.tokens.Writer.UpdateTrailer | ( | PdfDictionary | trailer,
|  | IOutputStream | stream |
| ) |  |  | `[protected, inherited]`

Updates the specified trailer.

This method has to be called just before serializing the trailer object.

References org.pdfclown.files.FileIdentifier.Update().

void org.pdfclown.tokens.Writer.Write | ( | SerializationModeEnum | mode | ) | `[inherited]`

Serializes the file to the target stream.

Parameters:

  | mode | Serialization mode.

Referenced by org.pdfclown.files.File.Save().

void org.pdfclown.tokens.Writer.WriteHeader | ( |  | ) | `[protected, inherited]`

Serializes the beginning of the file [PDF:1.6:3.4.1].

override void org.pdfclown.tokens.CompressedWriter.WriteIncremental | ( |  | ) | `[protected, virtual]`

Serializes the PDF file as incremental update [PDF:1.6:3.4.5].

Implements org.pdfclown.tokens.Writer.

References org.pdfclown.objects.PdfObject.Container, org.pdfclown.tokens.XRefEntry.Offset, org.pdfclown.tokens.FileParser.RetrieveXRefOffset(), org.pdfclown.util.parsers.PostScriptParser.Stream, org.pdfclown.bytes.IOutputStream.Write(), and org.pdfclown.objects.PdfIndirectObject.XrefEntry.

override void org.pdfclown.tokens.CompressedWriter.WriteLinearized | ( |  | ) | `[protected, virtual]`

Serializes the PDF file linearized [PDF:1.6:F].

Implements org.pdfclown.tokens.Writer.

override void org.pdfclown.tokens.CompressedWriter.WriteStandard | ( |  | ) | `[protected, virtual]`

Serializes the PDF file compactly [PDF:1.6:3.4].

Implements org.pdfclown.tokens.Writer.

References org.pdfclown.files.IndirectObjects.Count, org.pdfclown.tokens.XRefEntry.Offset, and org.pdfclown.objects.PdfIndirectObject.XrefEntry.

void org.pdfclown.tokens.Writer.WriteTail | ( | long | startxref | ) | `[protected, inherited]`

Serializes the end of the file [PDF:1.6:3.4.4].

Parameters:

  | startxref | Byte offset from the beginning of the file to the beginning of the last cross-reference section.

## Member Data Documentation

readonly File org.pdfclown.tokens.Writer.file`[protected, inherited]`

readonly IOutputStream org.pdfclown.tokens.Writer.stream`[protected, inherited]`

## Property Documentation

File org.pdfclown.tokens.Writer.File`[get, inherited]`

Gets the file to serialize.

Referenced by org.pdfclown.files.FileIdentifier.Update().

IOutputStream org.pdfclown.tokens.Writer.Stream`[get, inherited]`

Gets the target stream.

Referenced by org.pdfclown.files.FileIdentifier.Update().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.